namespace efl { namespace ui { 
inline ::efl::eolian::return_traits<bool>::type Base::mirrored_get() const
{
   Eina_Bool __return_value =  ::efl_ui_mirrored_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Base::mirrored_set( ::efl::eolian::in_traits<bool>::type rtl) const
{
    ::efl_ui_mirrored_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(rtl));
}
inline ::efl::eolian::return_traits<bool>::type Base::mirrored_automatic_get() const
{
   Eina_Bool __return_value =  ::efl_ui_mirrored_automatic_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Base::mirrored_automatic_set( ::efl::eolian::in_traits<bool>::type automatic) const
{
    ::efl_ui_mirrored_automatic_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(automatic));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Base::language_get() const
{
   const char * __return_value =  ::efl_ui_language_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Base::language_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type language) const
{
    ::efl_ui_language_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(language));
}
inline ::efl::eolian::return_traits<double>::type Base::scale_get() const
{
   double __return_value =  ::efl_ui_scale_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Base::scale_set( ::efl::eolian::in_traits<double>::type scale) const
{
    ::efl_ui_scale_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(scale));
}
inline ::efl::eolian::return_traits<double>::type Base::base_scale_get() const
{
   double __return_value =  ::efl_ui_base_scale_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
} } 
namespace eo_cxx {
namespace efl { namespace ui { 
inline ::efl::eolian::return_traits<bool>::type Base::mirrored_get() const
{
   Eina_Bool __return_value =  ::efl_ui_mirrored_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Base::mirrored_set( ::efl::eolian::in_traits<bool>::type rtl) const
{
    ::efl_ui_mirrored_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(rtl));
}
inline ::efl::eolian::return_traits<bool>::type Base::mirrored_automatic_get() const
{
   Eina_Bool __return_value =  ::efl_ui_mirrored_automatic_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Base::mirrored_automatic_set( ::efl::eolian::in_traits<bool>::type automatic) const
{
    ::efl_ui_mirrored_automatic_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(automatic));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Base::language_get() const
{
   const char * __return_value =  ::efl_ui_language_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Base::language_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type language) const
{
    ::efl_ui_language_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(language));
}
inline ::efl::eolian::return_traits<double>::type Base::scale_get() const
{
   double __return_value =  ::efl_ui_scale_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Base::scale_set( ::efl::eolian::in_traits<double>::type scale) const
{
    ::efl_ui_scale_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(scale));
}
inline ::efl::eolian::return_traits<double>::type Base::base_scale_get() const
{
   double __return_value =  ::efl_ui_base_scale_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline efl::ui::Base::operator ::efl::ui::Base() const { return *static_cast< ::efl::ui::Base const*>(static_cast<void const*>(this)); }
inline efl::ui::Base::operator ::efl::ui::Base&() { return *static_cast< ::efl::ui::Base*>(static_cast<void*>(this)); }
inline efl::ui::Base::operator ::efl::ui::Base const&() const { return *static_cast< ::efl::ui::Base const*>(static_cast<void const*>(this)); }
} } }

